> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://walmart.postmansolutions.com/us-marketplace/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://walmart.postmansolutions.com/us-marketplace/_mcp/server.

# Returns the featured offer expected price for a batch of SKUs

POST https://marketplace.walmart.com/seller/v1/batches/products/pricing/v4/offer/featuredOfferExpectedPrice
Content-Type: application/json

Returns the featured offer expected price (FOEP) for a batch of seller SKUs.

**Phase 1 stub** — no upstream data source identified.
Returns HTTP 501 until an upstream is confirmed.
Track: RCTPAPI-20858.


Reference: https://walmart.postmansolutions.com/us-marketplace/api-reference/inventory-pricing/pricing/product-pricing/get-featured-offer-expected-price-batch

## Servers

- `https://marketplace.walmart.com/seller/v1` (Production, default)
- `https://sandbox.marketplace.walmart.com/seller/v1` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a GetFeaturedOfferExpectedPriceBatchRequest.

- `requests` (list of FeaturedOfferExpectedPriceRequest, optional) — A batched list of FOEP requests.

## Response

### 200

Success

- `responses` (list of FeaturedOfferExpectedPriceResponse, optional) — A batched list of FOEP responses.

## Errors

### 400 Bad Request Error

Bad Request

- `list of Error`

### 403 Forbidden Error

Forbidden

- `list of Error`

### 404 Not Found Error

Not Found

- `list of Error`

### 429 Too Many Requests Error

Rate limit exceeded

- `list of Error`

### 500 Internal Server Error

Internal Server Error

- `list of Error`

## Types

### FeaturedOfferExpectedPriceRequest

An individual FOEP request for a particular SKU.

- `marketplaceId` (string, required) — A marketplace identifier.
- `sku` (string, required) — The seller stock keeping unit (SKU) of the item.

### FeaturedOfferExpectedPriceResponse

An individual FOEP response.

- `status` (GetOffersHttpStatusLine, optional) — The HTTP status line associated with the response.
- `body` (FeaturedOfferExpectedPriceResponseBody, optional) — The body of a FOEP response.

### Error

Error response returned when the request is unsuccessful.

- `code` (string, required) — An error code that identifies the type of error that occurred.
- `message` (string, required) — A message that describes the error condition.
- `details` (string, optional) — Additional details that can help the caller understand or fix the issue.

### GetOffersHttpStatusLine

The HTTP status line associated with the response.

- `statusCode` (integer, optional) — The HTTP response Status Code.
- `reasonPhrase` (string, optional) — The HTTP response Reason-Phrase.

### FeaturedOfferExpectedPriceResponseBody

The body of a FOEP response.

- `offerIdentifier` (OfferIdentifier, optional) — Identifies an offer.
- `featuredOfferExpectedPriceResults` (list of FeaturedOfferExpectedPriceResult, optional) — A list of FOEP results for the requested offer.
- `errors` (list of Error, optional) — A list of error responses returned when a request is unsuccessful.

### OfferIdentifier

Identifies an offer.

- `marketplaceId` (string, optional) — A marketplace identifier.
- `sellerId` (string, optional) — The seller identifier.
- `sku` (string, optional) — The seller stock keeping unit (SKU) of the item.
- `fulfillmentType` (enum, optional) — The fulfillment type for the offer. Possible values: WFS, SELLER.
  - Allowed values: `WFS`, `SELLER`

### FeaturedOfferExpectedPriceResult

The featured offer expected price result for a specific offer.

- `featuredOfferExpectedPrice` (FeaturedOfferExpectedPrice, optional) — The featured offer expected price for a given SKU.
- `resultStatus` (string, optional) — The status of the FOEP request.
- `competingFeaturedOffer` (FeaturedOffer, optional) — A featured offer.
- `currentFeaturedOffer` (FeaturedOffer, optional) — A featured offer.

### FeaturedOfferExpectedPrice

The featured offer expected price for a given SKU.

- `listingPrice` (MoneyType, optional) — Currency type and monetary value.

### FeaturedOffer

A featured offer.

- `offerIdentifier` (OfferIdentifier, optional) — Identifies an offer.
- `condition` (string, optional) — The item condition.
- `price` (MoneyType, optional) — Currency type and monetary value.

### MoneyType

Currency type and monetary value.

- `CurrencyCode` (string, optional, default: USD) — The currency code in ISO 4217 format.
- `Amount` (double, optional) — The monetary value.

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "responses": [
    {
      "status": {
        "statusCode": 1,
        "reasonPhrase": "string"
      },
      "body": {
        "offerIdentifier": {
          "marketplaceId": "string",
          "sellerId": "string",
          "sku": "string",
          "fulfillmentType": "WFS"
        },
        "featuredOfferExpectedPriceResults": [
          {
            "featuredOfferExpectedPrice": {
              "listingPrice": {
                "CurrencyCode": "USD",
                "Amount": 1.1
              }
            },
            "resultStatus": "string",
            "competingFeaturedOffer": {
              "offerIdentifier": {
                "marketplaceId": "string",
                "sellerId": "string",
                "sku": "string",
                "fulfillmentType": "WFS"
              },
              "condition": "string",
              "price": {
                "CurrencyCode": "USD",
                "Amount": 1.1
              }
            },
            "currentFeaturedOffer": {
              "offerIdentifier": {
                "marketplaceId": "string",
                "sellerId": "string",
                "sku": "string",
                "fulfillmentType": "WFS"
              },
              "condition": "string",
              "price": {
                "CurrencyCode": "USD",
                "Amount": 1.1
              }
            }
          }
        ],
        "errors": [
          {
            "code": "string",
            "message": "string",
            "details": "string"
          }
        ]
      }
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://marketplace.walmart.com/seller/v1/batches/products/pricing/v4/offer/featuredOfferExpectedPrice"

payload = {}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://marketplace.walmart.com/seller/v1/batches/products/pricing/v4/offer/featuredOfferExpectedPrice';
const options = {method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{}'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://marketplace.walmart.com/seller/v1/batches/products/pricing/v4/offer/featuredOfferExpectedPrice"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://marketplace.walmart.com/seller/v1/batches/products/pricing/v4/offer/featuredOfferExpectedPrice")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://marketplace.walmart.com/seller/v1/batches/products/pricing/v4/offer/featuredOfferExpectedPrice")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://marketplace.walmart.com/seller/v1/batches/products/pricing/v4/offer/featuredOfferExpectedPrice', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://marketplace.walmart.com/seller/v1/batches/products/pricing/v4/offer/featuredOfferExpectedPrice");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://marketplace.walmart.com/seller/v1/batches/products/pricing/v4/offer/featuredOfferExpectedPrice")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```